/***************************************************************************
 **
 **  Copyright (C) 2018-2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#ifndef FANCYSCREEN_H
#define FANCYSCREEN_H

#include <QRect>
#include <QList>
#include "frameless_global.h"



/* on screen display */
class FRAMELESS_SHARED_EXPORT FancyScreen
{
public:
    FancyScreen();

    int currentScreen(const int x);
    QRect screenRect(const int current);

    static QRect normalRect();

private:
    QList<QRect> m_screenRects;
};



#endif // FANCYSCREEN_H
